<?
if($ku['ogran']<1)
{
echo "<div class='content'>";
echo "<div class='block'>";
echo '<img src="images/smiles/owibochka.gif" alt="*"></img> Для покупки Дарьи у вас должно быть <a href="?ogran">снято ограничение</a>';
include_once 'inc/foot.php';
echo "</div></div>";
exit;
}
if(isset($_GET['arend']) && ($_GET['arend']=='1' || $_GET['arend']=='2' || $_GET['arend']=='3' || $_GET['arend']=='4' || $_GET['arend']=='5' || $_GET['arend']=='6'))
{
$arend=$_GET['arend'];
if($arend==6)
{
$cena=418;
$timee=3600*24*3;
}
if($arend==5)
{
$cena=291;
$timee=3600*24*2;
}
elseif($arend==4)
{
$cena=182;
$timee=3600*24;
}
elseif($arend==3)
{
$cena=99;
$timee=3600*6;
}
elseif($arend==2)
{
$cena=1;
$timee=3600;
}
elseif($arend==1 && $ku['rabotnik_day']<$time)
{
$cena=1000;
$timee=3600;
$arend_day=1;
}
if(isset($arend_day))
{
if($ku['money']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_querll("UPDATE `kolhoz_user` SET `rabotnik_time` = '".($ku['rabotnik_time']>$time?"".($ku['rabotnik_time']+$timee)."":"".($time+$timee)."")."', `rabotnik_day` = '".($time+(12*3600))."', `money` = '".($ku['money']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `pugachs` = '".($ku['pugachs']+1)."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Дарья арендована на ".time_left($ku['rabotnik_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=rabotnik&arend=".intval($_GET['arend'])."&ok","?shop=rabotnik");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_money']=$cena-$ku['money'];
header("Location:?shop=rabotnik");
}
}
elseif($arend==2 || $arend==3 || $arend==4 || $arend==5 || $arend==6)
{
if($ku['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_querll("UPDATE `kolhoz_user` SET `rabotnik_time` = '".($ku['rabotnik_time']>$time?"".($ku['rabotnik_time']+$timee)."":"".($time+$timee)."")."', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `pugach` = '".($ku['pugach']+floor($timee/3600))."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['rabotnik_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=rabotnik&arend=".intval($_GET['arend'])."&ok","?shop=rabotnik");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:?shop=rabotnik");
}
}
}
echo "<div class='event'><h1>Дарья</h1></div>
<div class='content'>
<div class='block'>
<div>
<img src='images/rabotnik.png' alt='' class='portrait'>
<span class='epic'>Дарья<br></span>
Повар - делает заготовки в погребе по последнему рецепту, закупает ингредиенты. <br>

</div>
<div style='clear:both;'></div>
<h3>Обязанности:</h3>
<div class='title'>
- убрать полки<br>
- поставаить указанный вами рецепт<br>
- собрать банки на рынок<br>
</div>
<h3>Аренда</h3>
<ul>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=rabotnik&arend=6'>Арендовать</a> на 3-е суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 418 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=rabotnik&arend=5'>Арендовать</a> на 2-е суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 291 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=rabotnik&arend=4'>Арендовать</a> на сутки
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 182 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=rabotnik&arend=3'>Арендовать</a> на 6 часов
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 99 рубинов)</span>
</li>
<li>
</li>
</ul>
<div class='pt title'>

</div>
<div class='pt'>";
echo "</div><div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'>
<a href='?shop'>В магазин</a>
</div>
</div>
";
include_once 'inc/foot.php';
?>`kolhoz_user`"), 0)."</span></div>";
echo "</div></div></div></div></div></div></div></div></div></div></div></div></div></div></div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'> <a href='?rules'>Правила игры</a><div></div></div></br>";
include_once 'inc/auth.php';
exit;
?>